package com.huifu.jh.core;

import com.huifu.jh.core.model.GcbPayRequest;
import com.huifu.jh.core.model.GcbPayResponse;

/**
 * 通讯客户端
 */
public interface GcbPayClient {

	/**
	 * 执行请求
	 * @param request
	 * @param <T>
	 * @return
	 * @throws Exception
	 */
	<T extends GcbPayResponse> T execute(GcbPayRequest<T> request) throws Exception;

}
 