package com.huifu.jh.core;

import com.huifu.jh.core.model.CallbackMessage;

import javax.servlet.http.HttpServletRequest;

/**
 * @author fang.wei
 * @Description 异步回调报文解析器
 * @createTime 2021年10月18日 09:43:00
 */
public interface GcbPayCallbackMessageParser {

    /**
     * 报文解析
     * @param request
     * @param clazz
     * @param <T>
     * @return
     * @throws Exception
     */
    <T extends CallbackMessage> T parse(HttpServletRequest request, Class<T> clazz) throws Exception;
}
